class Link < Item
  
  field :url
  
  validates :url, :presence => true, :format => /^(http|https):\/\/[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}(([0-9]{1,5})?\/.*)?$/ix

	before_validation :add_http

  def link
    ApplicationController.helpers.link_to(self.name, self.url)
  end

  protected

	def add_http
	  unless self.url[/^http:\/\//] || self.url[/^https:\/\//]
	    self.url = 'http://' + self.url
	  end
	end
    
end
